
var hydraExpress = require('hydra-express');
var hydra = hydraExpress.getHydra();

exports.getUser = async (frm, id) => {
  let message = hydra.createUMFMessage({
    to: 'user:[post]/getUser',
    frm: frm,
    bdy: {userid: id}
  });
  let result = await hydra.makeAPIRequest(message);
  return result;
}

exports.getAllUsers = async (frm) => {
  let message = hydra.createUMFMessage({
    to: 'user:[get]/getAllUsers',
    frm: frm,
    bdy: {}
  });
  let result = await hydra.makeAPIRequest(message);
  return result;
}

exports.saveUser = async (frm, user) => {
  let message = hydra.createUMFMessage({
    to: 'user:[post]/saveUser',
    frm: frm,
    bdy: {user: user}
  });
  let result = await hydra.makeAPIRequest(message);
  return result;
}
